<?php
/******************************************************************************
 * Show a static site
 *
 * PARAMETER:
 * id: (integer) Site-ID
 * // ToDo: Headline erlauben
 *
 *****************************************************************************/


// define path to the plugin
$plugin_folder_pos = strpos(__FILE__, 'adm_plugins') + 11;
$plugin_file_pos   = strpos(__FILE__, basename(__FILE__));
$plugin_folder     = substr(__FILE__, $plugin_folder_pos+1, $plugin_file_pos-$plugin_folder_pos-2);
$plugin_path       = substr(__FILE__, 0, $plugin_folder_pos);

if(!defined('PLUGIN_PATH'))
{
    define('PLUGIN_PATH', substr(__FILE__, 0, $plugin_folder_pos));
}


// Get classes, config etc
require_once(PLUGIN_PATH.'/../adm_program/system/common.php');
require_once(PLUGIN_PATH.'/'.$plugin_folder.'/config.php');
require_once(PLUGIN_PATH.'/'.$plugin_folder.'/class_sites.php');
require_once(SERVER_PATH.'/adm_program/system/classes/modulemenu.php');
// require_once(SERVER_PATH.'/adm_program/system/classes/formelements.php');

// get languagefiles
$gL10n->addLanguagePath(PLUGIN_PATH. '/'.$plugin_folder.'/languages');

// ToDo: Pruefen, ob auch eine Seite uebergeben wurde.
// ToDo: Auch Uebergabe der Headline erlauben
$iSiteID    = $_REQUEST['id'];

$cSites = new ModuleSites();

$aSite = $cSites->getSite($iSiteID);

// show site
$headline  = $aSite['site_headline'];
$page = new HtmlPage($headline);
$page->addHtml($aSite['site_content']);
$page->show();


?>