<?php
/******************************************************************************
 * 
 * Shows a list of static sites with link
 *
 *****************************************************************************/

// define path to the plugin
$myplugin_folder_pos = strpos(__FILE__, 'adm_plugins') + 11;
$myplugin_file_pos   = strpos(__FILE__, basename(__FILE__));
$myplugin_folder     = substr(__FILE__, $myplugin_folder_pos+1, $myplugin_file_pos-$myplugin_folder_pos-2);
$myplugin_path       = substr(__FILE__, 0, $myplugin_folder_pos);

// Get classes, config etc
require_once($myplugin_path.'/../adm_program/system/common.php');
require_once($myplugin_path.'/'.$myplugin_folder.'/config.php');
require_once($myplugin_path.'/'.$myplugin_folder.'/class_sites.php');

// get languagefiles
$gL10n->addLanguagePath($myplugin_path. '/'.$myplugin_folder.'/languages');

$sites = new ModuleSites();
$aLinks = $sites->getLinks();

// show headline of plugin
if($plg_show_headline=='1')
{
    $sMenuHeader= $gL10n->get('PLG_STATIC_SITES');
}
else
{
    $sMenuHeader= '';
}

// New Menu
// overview_modules.css hast to be extended
$siteMenu = new Menu('sites', $sMenuHeader);

// link to Script and Symbols
$sScriptURL='/adm_plugins/static_sites/show_site.php';
$sSymbolURL= '/icons/plugin_static_sites/';

foreach($aLinks as $i => $link)
{
    if($i==0)
    // first array is empty (see class_sites:    _construct()))
    {
        continue;
    }

    if($sMenueType=='long')
    {
        $siteMenu->addItem('site'.$i, $sScriptURL.'?id='.$i, 
            $link['headline'], $sSymbolURL.$link['symbol_large'],
            $link['description']);
    }
    else
    {
        $siteMenu->addItem('site'.$i, $sScriptURL.'?id='.$i, 
            $link['headline'], $sSymbolURL.$link['symbol_small']);
    }

}

?>